package com.chaozhanggui.dao.system.dao;

import com.chaozhanggui.dao.system.entity.TbPlussAccount;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

@Component
@Mapper
public interface TbPlussAccountMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TbPlussAccount record);

    int insertSelective(TbPlussAccount record);

    TbPlussAccount selectByPrimaryKey(Integer id);
    TbPlussAccount selectByUser(@Param("userId") Integer userId, @Param("channelType")String channelType);
    TbPlussAccount selectByAccount(TbPlussAccount record);

    int updateByPrimaryKeySelective(TbPlussAccount record);

    int updateByPrimaryKeyWithBLOBs(TbPlussAccount record);

    int updateByPrimaryKey(TbPlussAccount record);

    Integer selectCountIdCardId(@Param("idCardId")String idCardId, @Param("userId")String userId);

    Integer selectCountBankCard(@Param("bankCardId")String bankCardId, @Param("userId")String userId);
}